## GtkToolbar GtkToolbar |

## Functions

GtkWidget * | gtk_toolbar_new ()
void | gtk_toolbar_insert ()
gint | gtk_toolbar_get_item_index ()
gint | gtk_toolbar_get_n_items ()
GtkToolItem * | gtk_toolbar_get_nth_item ()
gint | gtk_toolbar_get_drop_index ()
void | gtk_toolbar_set_drop_highlight_item ()
void | gtk_toolbar_set_show_arrow ()
void | gtk_toolbar_set_orientation ()
void | gtk_toolbar_set_tooltips ()
void | gtk_toolbar_unset_icon_size ()
gboolean | gtk_toolbar_get_show_arrow ()
GtkOrientation | gtk_toolbar_get_orientation ()
GtkToolbarStyle | gtk_toolbar_get_style ()
GtkIconSize | gtk_toolbar_get_icon_size ()
gboolean | gtk_toolbar_get_tooltips ()
GtkReliefStyle | gtk_toolbar_get_relief_style ()
GtkWidget * | gtk_toolbar_append_item ()
GtkWidget * | gtk_toolbar_prepend_item ()
GtkWidget * | gtk_toolbar_insert_item ()
void | gtk_toolbar_append_space ()
void | gtk_toolbar_prepend_space ()
void | gtk_toolbar_insert_space ()
GtkWidget * | gtk_toolbar_append_element ()
GtkWidget * | gtk_toolbar_prepend_element ()
GtkWidget * | gtk_toolbar_insert_element ()
void | gtk_toolbar_append_widget ()
void | gtk_toolbar_prepend_widget ()
void | gtk_toolbar_insert_widget ()
void | gtk_toolbar_set_style ()
GtkWidget * | gtk_toolbar_insert_stock ()
void | gtk_toolbar_set_icon_size ()
void | gtk_toolbar_remove_space ()
void | gtk_toolbar_unset_style ()

## Properties

int | icon-size | Read / Write
gboolean | icon-size-set | Read / Write
gboolean | show-arrow | Read / Write
GtkToolbarStyle | toolbar-style | Read / Write
gboolean | tooltips | Read / Write

## Child Properties

gboolean | expand | Read / Write
gboolean | homogeneous | Read / Write

## Style Properties

GtkReliefStyle | button-relief | Read
int | internal-padding | Read
int | max-child-expand | Read
GtkShadowType | shadow-type | Read
int | space-size | Read
GtkToolbarSpaceStyle | space-style | Read

## Signals

gboolean | focus-home-or-end | Action
void | orientation-changed | Run First
gboolean | popup-context-menu | Run Last
void | style-changed | Run First

## Types and Values

struct | GtkToolbar
enum | GtkToolbarChildType
enum | GtkToolbarSpaceStyle
struct | GtkToolbarChild

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkToolbar

## Implemented Interfaces

GtkToolbar implements AtkImplementorIface, GtkBuildable, GtkToolShell and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_toolbar_new ()

    GtkWidget *
    gtk_toolbar_new (void);

Creates a new toolbar.

#### Returns

the newly-created toolbar.

### gtk_toolbar_insert ()

    void
    gtk_toolbar_insert (GtkToolbar *toolbar,
                        GtkToolItem *item,
                        gint pos);

Insert a GtkToolItem into the toolbar at position `pos` . If `pos` is 0 the item is prepended to the start of the toolbar. If `pos` is negative, the item is appended to the end of the toolbar.

#### Parameters

toolbar | a GtkToolbar |
item | a GtkToolItem |
pos | the position of the new item |

Since: 2.4

### gtk_toolbar_get_item_index ()

    gint
    gtk_toolbar_get_item_index (GtkToolbar *toolbar,
                                GtkToolItem *item);

Returns the position of `item` on the toolbar, starting from 0. It is an error if `item` is not a child of the toolbar.

#### Parameters

toolbar | a GtkToolbar |
item | a GtkToolItem that is a child of `toolbar` |

#### Returns

the position of item on the toolbar.

Since: 2.4

### gtk_toolbar_get_n_items ()

    gint
    gtk_toolbar_get_n_items (GtkToolbar *toolbar);

Returns the number of items on the toolbar.

#### Parameters

toolbar | a GtkToolbar |

#### Returns

the number of items on the toolbar

Since: 2.4

### gtk_toolbar_get_nth_item ()

    GtkToolItem *
    gtk_toolbar_get_nth_item (GtkToolbar *toolbar,
                              gint n);

Returns the `n` 'th item on `toolbar` , or `NULL` if the toolbar does not contain an `n` 'th item.

#### Parameters

toolbar | a GtkToolbar |
n | A position on the toolbar |

#### Returns

The `n` 'th GtkToolItem on `toolbar` , or `NULL` if there isn't an `n` 'th item.

[transfer none]

Since: 2.4

### gtk_toolbar_get_drop_index ()

    gint
    gtk_toolbar_get_drop_index (GtkToolbar *toolbar,
                                gint x,
                                gint y);

Returns the position corresponding to the indicated point on `toolbar` . This is useful when dragging items to the toolbar: this function returns the position a new item should be inserted.

`x` and `y` are in `toolbar` coordinates.

#### Parameters

toolbar | a GtkToolbar |
x | x coordinate of a point on the toolbar |
y | y coordinate of a point on the toolbar |

#### Returns

The position corresponding to the point (`x` , `y` ) on the toolbar.

Since: 2.4

### gtk_toolbar_set_drop_highlight_item ()

    void
    gtk_toolbar_set_drop_highlight_item (GtkToolbar *toolbar,
                                         GtkToolItem *tool_item,
                                         gint index_);

Highlights `toolbar` to give an idea of what it would look like if `item` was added to `toolbar` at the position indicated by `index_` . If `item` is `NULL`, highlighting is turned off. In that case `index_` is ignored.

The `tool_item` passed to this function must not be part of any widget hierarchy. When an item is set as drop highlight item it can not added to any widget hierarchy or used as highlight item for another toolbar.

#### Parameters

toolbar | a GtkToolbar |
tool_item | a GtkToolItem, or `NULL` to turn of highlighting. | [allow-none]
index_ | a position on `toolbar` |

Since: 2.4

### gtk_toolbar_set_show_arrow ()

    void
    gtk_toolbar_set_show_arrow (GtkToolbar *toolbar,
                                gboolean show_arrow);

Sets whether to show an overflow menu when `toolbar` isn’t allocated enough size to show all of its items. If `TRUE`, items which can’t fit in `toolbar` , and which have a proxy menu item set by `gtk_tool_item_set_proxy_menu_item()` or “create-menu-proxy”, will be available in an overflow menu, which can be opened by an added arrow button. If `FALSE`, `toolbar` will request enough size to fit all of its child items without any overflow.

#### Parameters

toolbar | a GtkToolbar |
show_arrow | Whether to show an overflow menu |

Since: 2.4

### gtk_toolbar_set_orientation ()

    void
    gtk_toolbar_set_orientation (GtkToolbar *toolbar,
                                 GtkOrientation orientation);

`gtk_toolbar_set_orientation` has been deprecated since version 2.16 and should not be used in newly-written code.

Use `gtk_orientable_set_orientation()` instead.

Sets whether a toolbar should appear horizontally or vertically.

#### Parameters

toolbar | a GtkToolbar. |
orientation | a new GtkOrientation. |

### gtk_toolbar_set_tooltips ()

    void
    gtk_toolbar_set_tooltips (GtkToolbar *toolbar,
                              gboolean enable);

`gtk_toolbar_set_tooltips` has been deprecated since version 2.14 and should not be used in newly-written code.

The toolkit-wide “gtk-enable-tooltips” property is now used instead.

Sets if the tooltips of a toolbar should be active or not.

#### Parameters

toolbar | a GtkToolbar. |
enable | set to `FALSE` to disable the tooltips, or `TRUE` to enable them. |

### gtk_toolbar_unset_icon_size ()

    void
    gtk_toolbar_unset_icon_size (GtkToolbar *toolbar);

Unsets toolbar icon size set with `gtk_toolbar_set_icon_size()`, so that user preferences will be used to determine the icon size.

#### Parameters

toolbar | a GtkToolbar |

### gtk_toolbar_get_show_arrow ()

    gboolean
    gtk_toolbar_get_show_arrow (GtkToolbar *toolbar);

Returns whether the toolbar has an overflow menu. See `gtk_toolbar_set_show_arrow()`.

#### Parameters

toolbar | a GtkToolbar |

#### Returns

`TRUE` if the toolbar has an overflow menu.

Since: 2.4

### gtk_toolbar_get_orientation ()

    GtkOrientation
    gtk_toolbar_get_orientation (GtkToolbar *toolbar);

`gtk_toolbar_get_orientation` has been deprecated since version 2.16 and should not be used in newly-written code.

Use `gtk_orientable_get_orientation()` instead.

Retrieves the current orientation of the toolbar. See `gtk_toolbar_set_orientation()`.

#### Parameters

toolbar | a GtkToolbar |

#### Returns

the orientation

### gtk_toolbar_get_style ()

    GtkToolbarStyle
    gtk_toolbar_get_style (GtkToolbar *toolbar);

Retrieves whether the toolbar has text, icons, or both . See `gtk_toolbar_set_style()`.

#### Parameters

toolbar | a GtkToolbar |

#### Returns

the current style of `toolbar`

### gtk_toolbar_get_icon_size ()

    GtkIconSize
    gtk_toolbar_get_icon_size (GtkToolbar *toolbar);

Retrieves the icon size for the toolbar. See `gtk_toolbar_set_icon_size()`.

#### Parameters

toolbar | a GtkToolbar |

#### Returns

the current icon size for the icons on the toolbar.

[type int]

### gtk_toolbar_get_tooltips ()

    gboolean
    gtk_toolbar_get_tooltips (GtkToolbar *toolbar);

`gtk_toolbar_get_tooltips` has been deprecated since version 2.14 and should not be used in newly-written code.

The toolkit-wide “gtk-enable-tooltips” property is now used instead.

Retrieves whether tooltips are enabled. See `gtk_toolbar_set_tooltips()`.

#### Parameters

toolbar | a GtkToolbar |

#### Returns

`TRUE` if tooltips are enabled

### gtk_toolbar_get_relief_style ()

    GtkReliefStyle
    gtk_toolbar_get_relief_style (GtkToolbar *toolbar);

Returns the relief style of buttons on `toolbar` . See `gtk_button_set_relief()`.

#### Parameters

toolbar | a GtkToolbar |

#### Returns

The relief style of buttons on `toolbar` .

Since: 2.4

### gtk_toolbar_append_item ()

    GtkWidget *
    gtk_toolbar_append_item (GtkToolbar *toolbar,
                             const char *text,
                             const char *tooltip_text,
                             const char *tooltip_private_text,
                             GtkWidget *icon,
                             GCallback callback,
                             gpointer user_data);

`gtk_toolbar_append_item` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Inserts a new item into the toolbar. You must specify the position in the toolbar where it will be inserted.

`callback` must be a pointer to a function taking a GtkWidget and a gpointer as arguments. Use `G_CALLBACK()` to cast the function to GCallback.

#### Parameters

toolbar | a GtkToolbar. |
text | give your toolbar button a label. |
tooltip_text | a string that appears when the user holds the mouse over this item. |
tooltip_private_text | use with GtkTipsQuery. |
icon | a GtkWidget that should be used as the button's icon. |
callback | the function to be executed when the button is pressed. |
user_data | a pointer to any data you wish to be passed to the callback. |

#### Returns

the new toolbar item as a GtkWidget.

### gtk_toolbar_prepend_item ()

    GtkWidget *
    gtk_toolbar_prepend_item (GtkToolbar *toolbar,
                              const char *text,
                              const char *tooltip_text,
                              const char *tooltip_private_text,
                              GtkWidget *icon,
                              GCallback callback,
                              gpointer user_data);

`gtk_toolbar_prepend_item` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Adds a new button to the beginning (top or left edges) of the given toolbar.

`callback` must be a pointer to a function taking a GtkWidget and a gpointer as arguments. Use `G_CALLBACK()` to cast the function to GCallback.

#### Parameters

toolbar | a GtkToolbar. |
text | give your toolbar button a label. |
tooltip_text | a string that appears when the user holds the mouse over this item. |
tooltip_private_text | use with GtkTipsQuery. |
icon | a GtkWidget that should be used as the button's icon. |
callback | the function to be executed when the button is pressed. |
user_data | a pointer to any data you wish to be passed to the callback. |

#### Returns

the new toolbar item as a GtkWidget.

### gtk_toolbar_insert_item ()

    GtkWidget *
    gtk_toolbar_insert_item (GtkToolbar *toolbar,
                             const char *text,
                             const char *tooltip_text,
                             const char *tooltip_private_text,
                             GtkWidget *icon,
                             GCallback callback,
                             gpointer user_data,
                             gint position);

`gtk_toolbar_insert_item` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Inserts a new item into the toolbar. You must specify the position in the toolbar where it will be inserted.

`callback` must be a pointer to a function taking a GtkWidget and a gpointer as arguments. Use `G_CALLBACK()` to cast the function to GCallback.

#### Parameters

toolbar | a GtkToolbar. |
text | give your toolbar button a label. |
tooltip_text | a string that appears when the user holds the mouse over this item. |
tooltip_private_text | use with GtkTipsQuery. |
icon | a GtkWidget that should be used as the button's icon. |
callback | the function to be executed when the button is pressed. |
user_data | a pointer to any data you wish to be passed to the callback. |
position | the number of widgets to insert this item after. |

#### Returns

the new toolbar item as a GtkWidget.

### gtk_toolbar_append_space ()

    void
    gtk_toolbar_append_space (GtkToolbar *toolbar);

`gtk_toolbar_append_space` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Adds a new space to the end of the toolbar.

#### Parameters

toolbar | a GtkToolbar. |

### gtk_toolbar_prepend_space ()

    void
    gtk_toolbar_prepend_space (GtkToolbar *toolbar);

`gtk_toolbar_prepend_space` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Adds a new space to the beginning of the toolbar.

#### Parameters

toolbar | a GtkToolbar. |

### gtk_toolbar_insert_space ()

    void
    gtk_toolbar_insert_space (GtkToolbar *toolbar,
                              gint position);

`gtk_toolbar_insert_space` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Inserts a new space in the toolbar at the specified position.

#### Parameters

toolbar | a GtkToolbar |
position | the number of widgets after which a space should be inserted. |

### gtk_toolbar_append_element ()

    GtkWidget *
    gtk_toolbar_append_element (GtkToolbar *toolbar,
                                GtkToolbarChildType type,
                                GtkWidget *widget,
                                const char *text,
                                const char *tooltip_text,
                                const char *tooltip_private_text,
                                GtkWidget *icon,
                                GCallback callback,
                                gpointer user_data);

`gtk_toolbar_append_element` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Adds a new element to the end of a toolbar.

If `type` == `GTK_TOOLBAR_CHILD_WIDGET`, `widget` is used as the new element. If `type` == `GTK_TOOLBAR_CHILD_RADIOBUTTON`, `widget` is used to determine the radio group for the new element. In all other cases, `widget` must be `NULL`.

`callback` must be a pointer to a function taking a GtkWidget and a gpointer as arguments. Use `G_CALLBACK()` to cast the function to GCallback.

#### Parameters

toolbar | a GtkToolbar. |
type | a value of type GtkToolbarChildType that determines what `widget` will be. |
widget | a GtkWidget, or `NULL`. | [allow-none]
text | the element's label. |
tooltip_text | the element's tooltip. |
tooltip_private_text | used for context-sensitive help about this toolbar element. |
icon | a GtkWidget that provides pictorial representation of the element's function. |
callback | the function to be executed when the button is pressed. |
user_data | any data you wish to pass to the callback. |

#### Returns

the new toolbar element as a GtkWidget.

### gtk_toolbar_prepend_element ()

    GtkWidget *
    gtk_toolbar_prepend_element (GtkToolbar *toolbar,
                                 GtkToolbarChildType type,
                                 GtkWidget *widget,
                                 const char *text,
                                 const char *tooltip_text,
                                 const char *tooltip_private_text,
                                 GtkWidget *icon,
                                 GCallback callback,
                                 gpointer user_data);

`gtk_toolbar_prepend_element` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Adds a new element to the beginning of a toolbar.

If `type` == `GTK_TOOLBAR_CHILD_WIDGET`, `widget` is used as the new element. If `type` == `GTK_TOOLBAR_CHILD_RADIOBUTTON`, `widget` is used to determine the radio group for the new element. In all other cases, `widget` must be `NULL`.

`callback` must be a pointer to a function taking a GtkWidget and a gpointer as arguments. Use `G_CALLBACK()` to cast the function to GCallback.

#### Parameters

toolbar | a GtkToolbar. |
type | a value of type GtkToolbarChildType that determines what `widget` will be. |
widget | a GtkWidget, or `NULL`. | [allow-none]
text | the element's label. |
tooltip_text | the element's tooltip. |
tooltip_private_text | used for context-sensitive help about this toolbar element. |
icon | a GtkWidget that provides pictorial representation of the element's function. |
callback | the function to be executed when the button is pressed. |
user_data | any data you wish to pass to the callback. |

#### Returns

the new toolbar element as a GtkWidget.

### gtk_toolbar_insert_element ()

    GtkWidget *
    gtk_toolbar_insert_element (GtkToolbar *toolbar,
                                GtkToolbarChildType type,
                                GtkWidget *widget,
                                const char *text,
                                const char *tooltip_text,
                                const char *tooltip_private_text,
                                GtkWidget *icon,
                                GCallback callback,
                                gpointer user_data,
                                gint position);

`gtk_toolbar_insert_element` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Inserts a new element in the toolbar at the given position.

If `type` == `GTK_TOOLBAR_CHILD_WIDGET`, `widget` is used as the new element. If `type` == `GTK_TOOLBAR_CHILD_RADIOBUTTON`, `widget` is used to determine the radio group for the new element. In all other cases, `widget` must be `NULL`.

`callback` must be a pointer to a function taking a GtkWidget and a gpointer as arguments. Use `G_CALLBACK()` to cast the function to GCallback.

#### Parameters

toolbar | a GtkToolbar. |
type | a value of type GtkToolbarChildType that determines what `widget` will be. |
widget | a GtkWidget, or `NULL`. | [allow-none]
text | the element's label. |
tooltip_text | the element's tooltip. |
tooltip_private_text | used for context-sensitive help about this toolbar element. |
icon | a GtkWidget that provides pictorial representation of the element's function. |
callback | the function to be executed when the button is pressed. |
user_data | any data you wish to pass to the callback. |
position | the number of widgets to insert this element after. |

#### Returns

the new toolbar element as a GtkWidget.

### gtk_toolbar_append_widget ()

    void
    gtk_toolbar_append_widget (GtkToolbar *toolbar,
                               GtkWidget *widget,
                               const char *tooltip_text,
                               const char *tooltip_private_text);

`gtk_toolbar_append_widget` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Adds a widget to the end of the given toolbar.

#### Parameters

toolbar | a GtkToolbar. |
widget | a GtkWidget to add to the toolbar. |
tooltip_text | the element's tooltip. | [allow-none]
tooltip_private_text | used for context-sensitive help about this toolbar element. | [allow-none]

### gtk_toolbar_prepend_widget ()

    void
    gtk_toolbar_prepend_widget (GtkToolbar *toolbar,
                                GtkWidget *widget,
                                const char *tooltip_text,
                                const char *tooltip_private_text);

`gtk_toolbar_prepend_widget` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Adds a widget to the beginning of the given toolbar.

#### Parameters

toolbar | a GtkToolbar. |
widget | a GtkWidget to add to the toolbar. |
tooltip_text | the element's tooltip. | [allow-none]
tooltip_private_text | used for context-sensitive help about this toolbar element. | [allow-none]

### gtk_toolbar_insert_widget ()

    void
    gtk_toolbar_insert_widget (GtkToolbar *toolbar,
                               GtkWidget *widget,
                               const char *tooltip_text,
                               const char *tooltip_private_text,
                               gint position);

`gtk_toolbar_insert_widget` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Inserts a widget in the toolbar at the given position.

#### Parameters

toolbar | a GtkToolbar. |
widget | a GtkWidget to add to the toolbar. |
tooltip_text | the element's tooltip. | [allow-none]
tooltip_private_text | used for context-sensitive help about this toolbar element. | [allow-none]
position | the number of widgets to insert this widget after. |

### gtk_toolbar_set_style ()

    void
    gtk_toolbar_set_style (GtkToolbar *toolbar,
                           GtkToolbarStyle style);

Alters the view of `toolbar` to display either icons only, text only, or both.

#### Parameters

toolbar | a GtkToolbar. |
style | the new style for `toolbar` . |

### gtk_toolbar_insert_stock ()

    GtkWidget *
    gtk_toolbar_insert_stock (GtkToolbar *toolbar,
                              const gchar *stock_id,
                              const char *tooltip_text,
                              const char *tooltip_private_text,
                              GCallback callback,
                              gpointer user_data,
                              gint position);

`gtk_toolbar_insert_stock` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Inserts a stock item at the specified position of the toolbar. If `stock_id` is not a known stock item ID, it's inserted verbatim, except that underscores used to mark mnemonics are removed.

`callback` must be a pointer to a function taking a GtkWidget and a gpointer as arguments. Use `G_CALLBACK()` to cast the function to GCallback.

#### Parameters

toolbar | A GtkToolbar |
stock_id | The id of the stock item you want to insert |
tooltip_text | The text in the tooltip of the toolbar button |
tooltip_private_text | The private text of the tooltip |
callback | The callback called when the toolbar button is clicked. |
user_data | user data passed to callback |
position | The position the button shall be inserted at. -1 means at the end. |

#### Returns

the inserted widget

### gtk_toolbar_set_icon_size ()

    void
    gtk_toolbar_set_icon_size (GtkToolbar *toolbar,
                               GtkIconSize icon_size);

This function sets the size of stock icons in the toolbar. You can call it both before you add the icons and after they've been added. The size you set will override user preferences for the default icon size.

This should only be used for special-purpose toolbars, normal application toolbars should respect the user preferences for the size of icons.

#### Parameters

toolbar | A GtkToolbar |
icon_size | The GtkIconSize that stock icons in the toolbar shall have. | [type int]

### gtk_toolbar_remove_space ()

    void
    gtk_toolbar_remove_space (GtkToolbar *toolbar,
                              gint position);

`gtk_toolbar_remove_space` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `gtk_toolbar_insert()` instead.

Removes a space from the specified position.

#### Parameters

toolbar | a GtkToolbar. |
position | the index of the space to remove. |

### gtk_toolbar_unset_style ()

    void
    gtk_toolbar_unset_style (GtkToolbar *toolbar);

Unsets a toolbar style set with `gtk_toolbar_set_style()`, so that user preferences will be used to determine the toolbar style.

#### Parameters

toolbar | a GtkToolbar |

## Types and Values

### struct GtkToolbar

    struct GtkToolbar {
      gint             GSEAL (num_children);
      GList           *GSEAL (children);
      GtkOrientation   GSEAL (orientation);
      GtkToolbarStyle  GSEAL (style);
      GtkIconSize      GSEAL (icon_size);

    #ifndef GTK_DISABLE_DEPRECATED
      GtkTooltips     *GSEAL (tooltips);
    #else
      gpointer         GSEAL (_tooltips);
    #endif
    };

### enum GtkToolbarChildType

`GtkToolbarChildType` is deprecated and should not be used in newly-written code.

#### Members

GTK_TOOLBAR_CHILD_SPACE |  |
GTK_TOOLBAR_CHILD_BUTTON |  |
GTK_TOOLBAR_CHILD_TOGGLEBUTTON |  |
GTK_TOOLBAR_CHILD_RADIOBUTTON |  |
GTK_TOOLBAR_CHILD_WIDGET |  |

### enum GtkToolbarSpaceStyle

#### Members

GTK_TOOLBAR_SPACE_EMPTY |  |
GTK_TOOLBAR_SPACE_LINE |  |

### struct GtkToolbarChild

    struct GtkToolbarChild {
      GtkToolbarChildType type;
      GtkWidget *widget;
      GtkWidget *icon;
      GtkWidget *label;
    };

`GtkToolbarChild` is deprecated and should not be used in newly-written code.

## Property Details

### The `“icon-size”` property

      “icon-size”                int

The size of the icons in a toolbar is normally determined by the toolbar-icon-size setting. When this property is set, it overrides the setting.

This should only be used for special-purpose toolbars, normal application toolbars should respect the user preferences for the size of icons.

Owner: GtkToolbar

Flags: Read / Write

Allowed values: >= 0

Default value: 3

Since: 2.10

### The `“icon-size-set”` property

      “icon-size-set”            gboolean

Is `TRUE` if the icon-size property has been set.

Owner: GtkToolbar

Flags: Read / Write

Default value: FALSE

Since: 2.10

### The `“show-arrow”` property

      “show-arrow”               gboolean

If an arrow should be shown if the toolbar doesn't fit.

Owner: GtkToolbar

Flags: Read / Write

Default value: TRUE

### The `“toolbar-style”` property

      “toolbar-style”            GtkToolbarStyle

How to draw the toolbar.

Owner: GtkToolbar

Flags: Read / Write

Default value: GTK_TOOLBAR_BOTH

### The `“tooltips”` property

      “tooltips”                 gboolean

If the tooltips of the toolbar should be active or not.

Owner: GtkToolbar

Flags: Read / Write

Default value: TRUE

Since: 2.8

## Child Property Details

### The `“expand”` child property

      “expand”                   gboolean

Whether the item should receive extra space when the toolbar grows.

Owner: GtkToolbar

Flags: Read / Write

Default value: FALSE

### The `“homogeneous”` child property

      “homogeneous”              gboolean

Whether the item should be the same size as other homogeneous items.

Owner: GtkToolbar

Flags: Read / Write

Default value: FALSE

## Style Property Details

### The `“button-relief”` style property

      “button-relief”            GtkReliefStyle

Type of bevel around toolbar buttons.

Owner: GtkToolbar

Flags: Read

Default value: GTK_RELIEF_NONE

### The `“internal-padding”` style property

      “internal-padding”         int

Amount of border space between the toolbar shadow and the buttons.

Owner: GtkToolbar

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“max-child-expand”` style property

      “max-child-expand”         int

Maximum amount of space an expandable item will be given.

Owner: GtkToolbar

Flags: Read

Allowed values: >= 0

Default value: 2147483647

### The `“shadow-type”` style property

      “shadow-type”              GtkShadowType

Style of bevel around the toolbar.

Owner: GtkToolbar

Flags: Read

Default value: GTK_SHADOW_OUT

### The `“space-size”` style property

      “space-size”               int

Size of spacers.

Owner: GtkToolbar

Flags: Read

Allowed values: >= 0

Default value: 12

### The `“space-style”` style property

      “space-style”              GtkToolbarSpaceStyle

Whether spacers are vertical lines or just blank.

Owner: GtkToolbar

Flags: Read

Default value: GTK_TOOLBAR_SPACE_LINE

## Signal Details

### The `“focus-home-or-end”` signal

    gboolean
    user_function (GtkToolbar *toolbar,
                   gboolean    focus_home,
                   gpointer    user_data)

A keybinding signal used internally by GTK+. This signal can't be used in application code

#### Parameters

toolbar | the GtkToolbar which emitted the signal |
focus_home | `TRUE` if the first item should be focused |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the signal was handled, `FALSE` if not

Flags: Action

### The `“orientation-changed”` signal

    void
    user_function (GtkToolbar    *toolbar,
                   GtkOrientation orientation,
                   gpointer       user_data)

Emitted when the orientation of the toolbar changes.

#### Parameters

toolbar | the object which emitted the signal |
orientation | the new GtkOrientation of the toolbar |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“popup-context-menu”` signal

    gboolean
    user_function (GtkToolbar *toolbar,
                   int         x,
                   int         y,
                   int         button,
                   gpointer    user_data)

Emitted when the user right-clicks the toolbar or uses the keybinding to display a popup menu.

Application developers should handle this signal if they want to display a context menu on the toolbar. The context-menu should appear at the coordinates given by `x` and `y` . The mouse button number is given by the `button` parameter. If the menu was popped up using the keybaord, `button` is -1.

#### Parameters

toolbar | the GtkToolbar which emitted the signal |
x | the x coordinate of the point where the menu should appear |
y | the y coordinate of the point where the menu should appear |
button | the mouse button the user pressed, or -1 |
user_data | user data set when the signal handler was connected. |

#### Returns

return `TRUE` if the signal was handled, `FALSE` if not

Flags: Run Last

### The `“style-changed”` signal

    void
    user_function (GtkToolbar     *toolbar,
                   GtkToolbarStyle style,
                   gpointer        user_data)

Emitted when the style of the toolbar changes.

#### Parameters

toolbar | The GtkToolbar which emitted the signal |
style | the new GtkToolbarStyle of the toolbar |
user_data | user data set when the signal handler was connected. |

Flags: Run First